using System;

namespace _2_zad_18_12
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for(int i = 0; i < t; i++)
            {
                string[] unos = Console.ReadLine().Split();
                long ucenici = long.Parse(unos[0]);
                long banane = long.Parse(unos[1]);
                long grupe = long.Parse(unos[2]);
                long pogrupi = ucenici / grupe; //1
                long grupesavise = ucenici % grupe;
                long pogrupisavise = pogrupi + 1;
                long min = (grupe - grupesavise) * (pogrupi * (pogrupi + 1) / 2) + grupesavise * (pogrupisavise * (pogrupisavise + 1) / 2);
                if (banane < min) Console.WriteLine("Nie");
                else Console.WriteLine("Tak");
            }
        }
    }
}